Bug 682904 - Failed to handle UTF-8 encoded OFX file
Summary: Failed to handle UTF-8 encoded OFX file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libofx
Version: 14
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-07 22:45 UTC by Markus Nussdorfer
Modified: 2014-03-17 03:26 UTC (History)
2 users (show)

Fixed In Version: libofx-0.9.4-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-17 18:53:33 UTC


Attachments (Terms of Use)

Description Markus Nussdorfer 2011-03-07 22:45:23 UTC
Description of problem:
The libofx fails to detect a UTF-encoded OFX file.

Version-Release number of selected component (if applicable):
libofx-0.9.1-2.fc12.x86_64


Actual results:
Garbled characters when importing the OFX file into GnuCash

Expected results:
The libofx can detect a UTF-8-encoded OFX file and process it successfully.

Additional info:
There is already a Bug request on the Project Page with a working Patch at:
http://sourceforge.net/tracker/?func=detail&aid=3059200&group_id=61170&atid=496353

Comment 1 Bill Nottingham 2011-03-08 17:14:36 UTC
Ah, this is already fixed in 0.9.2, but not noted in the changelog.

Comment 2 Fedora Update System 2011-03-08 17:26:22 UTC
libofx-0.9.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libofx-0.9.2-1.fc15

Comment 3 Fedora Update System 2011-03-08 17:34:18 UTC
libofx-0.9.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libofx-0.9.2-1.fc14

Comment 4 Fedora Update System 2011-03-17 18:53:29 UTC
libofx-0.9.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2011-03-18 03:53:22 UTC
libofx-0.9.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2012-03-21 16:57:02 UTC
libofx-0.9.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libofx-0.9.4-1.el6

Comment 7 Fedora Update System 2012-04-17 23:35:28 UTC
libofx-0.9.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.